Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List the subscription plans

Requires being a member. Answers 503 when billing is not configured, and 502 when Stripe cannot give the price of a plan.

GET/organizations/{organizationId}/billing/plans
Authorization
AuthorizationBearer token (JWT) · headerrequired

An access token issued by this service (RFC 9068), in the Authorization header as Bearer <token>.

Path parameters
organizationIdstring<uuid>required
Responses
200

The plans, the default first.

Array of billing_plan
namestringrequired
usagebilling_usage_price | nullrequired

How the plan prices environment minutes, null for a plan priced per seat.

Show properties
Any of:
billing_usage_price
currencystringrequired

Lowercase ISO 4217 code, such as eur.

included_minutesinteger<int64>required

Minutes free each billing period.

minute_amountstringrequired

The price of each further minute, in the currency's smallest unit, as a decimal with up to 12 decimal places, such as "0.136574".

null
null
default

The request failed.

errorstringrequired

Stable machine-readable code.

Allowed:invalid_requestunauthorizedforbiddennot_foundconflictgoneunavailableinternal
messagestringrequired

Human-readable explanation.

Request
curl -X GET 'https://auth.kapten.io/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/billing/plans' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
[
  {
    "name": "string",
    "usage": {
      "currency": "string",
      "included_minutes": 0,
      "minute_amount": "string"
    }
  }
]